## NAME

v.out.shape - export GRASS vector files to ESRI Shapefile

## SYNOPSIS

v.out.shape [-valA] map=name type=area,line,point [mapset=name] [cats=[none],string,integer,float] [prefix=name] [log=filename] [table=name] [key=name]

## DESCRIPTION

v.out.shape will export GRASS vectors files to ESRI Shapefile format.

## OPTIONS

### Flags:

-v Verbose messages

-a Restrict lines exported to arcs of type area-edge

-l Restrict lines exported to arcs of type line

-A Output all area rings (include unlabelled areas)

### Parameters:

map=name
  name of input vector map. Must be level 2.(Run v.support option=build)
type=option
  coverage type.
  Options: area, line, point
mapset=name
  name of mapset containing vector file (default current).
cats=option
  If category support is available, a third field is generated containing data of the selected type. Note `float' uses a double precision number. Otherwise ignored.
  Options: none(default),string,integer,float.
prefix=name
  prefix for SHAPE output filenames. Default is name of vector map.
log=filename
  choose a logfile. If the file cannot be opened, standard error stream is used.
table=name
  name of database table used as attributes source.
key=name
  key column in table used for linking rows to shapes.

## NOTES

The vector file export program, v.out.shape, will prompt you to enter the name of a GRASS vector file to be exported to SHAPE and for various options, see above.

A GRASS vector file to be exported to SHAPE may contain POINT, LINE and POLYGON coverage. If you select more types for conversion, more layers will be produced with the appended suffixes _line, _point and _area. Lines used as area edges however are not duplicated in the lines layer. If one layer is empty the unused files are deleted.

If table= option is specified, dbf table structure and data is used for output dbf table. key= option is name of column used as link between table rows and GRASS categories. Database connection must be established by db.connect first. Supported column types are numbers and strings (int, double, char, varchar,...). Time and other types are not supported.

When exporting area features, the -A flag specifies that all areas, whether labelled or not, should be exported. This may result in exporting area features that really represent "holes" in other area features.

## BUGS

If data are read from table, problem with char and varchar column types may occur. For example for MySQL column width is set according to first record instead of column size. PostgreSQL tables are OK. Problem is in ODBC driver and database specific drivers.

## SEE ALSO

v.in.shape, m.in.e00, v.out.e00, v.in.arc, v.out.arc, v.out.dlg, db.connect

## AUTHOR

David D. Gray
<ddgray@armadce.demon.co.uk>

Depends on shapelib-1.2.8 or later by Frank Warmerdam.

DBMI support by Radim Blazek